#pragma once

class OGLrendrer;
class Character;
class Bomb;

class Block
{
public:
	Block(void);
	virtual ~Block(void);
	virtual void draw(OGLrendrer *ogl) = 0;
	virtual void leaveSquare();
	void getCoords(int *x_, int *y_); 
	Bomb *getBomb();
	void addBomb(Bomb *a);
	void fireBomb();
	void drawBomb(OGLrendrer *ogl);
	void removeBomb();
	virtual void trigger();
	void setCharacter(Character *a);
	virtual bool canStop() = 0;
	virtual bool canMove() = 0;
protected:
	int x,  y;
private:
	Bomb *setBomb;
	bool bombTriggered;
};

